GNU bug report logs - #51574
27.2; Bad Lisp font-locking with `font-lock-type-face'

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Drew Adams <drew.adams@HIDDEN>; dated Tue, 2 Nov 2021 22:29:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 51574 <at> debbugs.gnu.org:


Received: (at 51574) by debbugs.gnu.org; 4 Nov 2021 18:30:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 04 14:30:42 2021
Received: from localhost ([127.0.0.1]:43465 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mihVa-0001eY-9L
	for submit <at> debbugs.gnu.org; Thu, 04 Nov 2021 14:30:42 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58202)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mihVY-0001YB-8d
 for 51574 <at> debbugs.gnu.org; Thu, 04 Nov 2021 14:30:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=25O27UiPlsWlR6mRgXCwFcKM/Lo1DTESQDAIQ1sD5Hs=; b=te1D3ZRvtT1aUaHmEbQD7GZVrQ
 6/djPsEvaMIuj5sDlsXiyO969JuS/fobHZ4i8JKJs8Evu4yZPszfl0itU/acNuQ/H1NsrP4bUY59M
 kfNm20paXR24jol3uZlmt9G1EpTrEkiOx163+OGjXmAviTboOAXDtcvDVsuo80TWGGGU=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mihVP-0005T1-LD; Thu, 04 Nov 2021 19:30:34 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#51574: 27.2; Bad Lisp font-locking with `font-lock-type-face'
References: <SJ0PR10MB5488D7EBD21AC7621ADB7D8CF38B9@HIDDEN>
X-Now-Playing: Orange's _Orange_: "Against Nature"
Date: Thu, 04 Nov 2021 19:30:31 +0100
In-Reply-To: <SJ0PR10MB5488D7EBD21AC7621ADB7D8CF38B9@HIDDEN>
 (Drew Adams's message of "Tue, 2 Nov 2021 22:28:41 +0000")
Message-ID: <87r1bvrcxk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Drew Adams <drew.adams@HIDDEN> writes: > The bug is in
 variable `lisp-el-font-lock-keywords-2'. I guess it's this bit: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51574
Cc: 51574 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Drew Adams <drew.adams@HIDDEN> writes:

> The bug is in variable `lisp-el-font-lock-keywords-2'.

I guess it's this bit:

         ;; ELisp and CLisp `&' keywords as types.
         (,(concat "\\_<&" lisp-mode-symbol-regexp "\\_>")
          . font-lock-type-face)

Anybody have a suggestion here for a fix?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51574; Package emacs. Full text available.

Message received at 51574 <at> debbugs.gnu.org:


Received: (at 51574) by debbugs.gnu.org; 4 Nov 2021 18:29:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 04 14:29:42 2021
Received: from localhost ([127.0.0.1]:43460 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mihUc-0000y2-1M
	for submit <at> debbugs.gnu.org; Thu, 04 Nov 2021 14:29:42 -0400
Received: from quimby.gnus.org ([95.216.78.240]:58186)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mihUZ-0000xo-SQ
 for 51574 <at> debbugs.gnu.org; Thu, 04 Nov 2021 14:29:40 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=1Och3S+9e9/nkkOWIdFx6jwBY+x7h1qKn+5q3k85xvM=; b=YXC1ObMkZ+vxUfO4N5NxnIlcue
 RdC9CvmYct8EH6Uu1TDgoNUcUbmHLErXI7ajFsHRd3s2Pd4y97ovHXpUgj/DENpR8pglWNHDuXsSX
 krOtp1nDEQ/40B6W3TC/Jpvr7kxySWSt5jqLl02jQQHgKY1Bc1inonv+fv4KF9ckUCn0=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mihUQ-0005Sm-JD; Thu, 04 Nov 2021 19:29:33 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#51574: 27.2; Bad Lisp font-locking with `font-lock-type-face'
References: <SJ0PR10MB5488D7EBD21AC7621ADB7D8CF38B9@HIDDEN>
X-Now-Playing: Orange's _Orange_: "Against Nature"
Date: Thu, 04 Nov 2021 19:29:28 +0100
In-Reply-To: <SJ0PR10MB5488D7EBD21AC7621ADB7D8CF38B9@HIDDEN>
 (Drew Adams's message of "Tue, 2 Nov 2021 22:28:41 +0000")
Message-ID: <87v917rczb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Drew Adams <drew.adams@HIDDEN> writes: > BTW, the doc
 string of face `font-lock-type-face' should also be fixed, > to say either
 "type and class" or "types and classes", not this: > > Font Lock mode face
 used to highlight type and classes. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51574
Cc: 51574 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Drew Adams <drew.adams@HIDDEN> writes:

> BTW, the doc string of face `font-lock-type-face' should also be fixed,
> to say either "type and class" or "types and classes", not this:
>
>   Font Lock mode face used to highlight type and classes.

I've now fixed this on the trunk.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51574; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Nov 2021 22:28:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 02 18:28:54 2021
Received: from localhost ([127.0.0.1]:38276 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mi2H0-0005U9-Ii
	for submit <at> debbugs.gnu.org; Tue, 02 Nov 2021 18:28:54 -0400
Received: from lists.gnu.org ([209.51.188.17]:59742)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1mi2Gy-0005U1-TK
 for submit <at> debbugs.gnu.org; Tue, 02 Nov 2021 18:28:53 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39744)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <drew.adams@HIDDEN>)
 id 1mi2Gy-0004YE-Lw
 for bug-gnu-emacs@HIDDEN; Tue, 02 Nov 2021 18:28:52 -0400
Received: from mx0a-00069f02.pphosted.com ([205.220.165.32]:21542)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <drew.adams@HIDDEN>)
 id 1mi2Gv-0001JP-Qf
 for bug-gnu-emacs@HIDDEN; Tue, 02 Nov 2021 18:28:52 -0400
Received: from pps.filterd (m0246629.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.1.2/8.16.1.2) with SMTP id 1A2L4xVI017435
 for <bug-gnu-emacs@HIDDEN>; Tue, 2 Nov 2021 22:28:45 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : subject :
 date : message-id : content-type : content-transfer-encoding :
 mime-version; s=corp-2021-07-09;
 bh=H/8fkeclklRQ3xChD8vTvfEMOuFuitETFnCm4fD3sZg=;
 b=iswKIvSZBinzEhWKmoQHOy97VGYNTrIL8xcgniYMpVY/UcLNzrin+lwAHzqGbdRATx7s
 p1lyeiMPXdFsahlbidPSL5XvaL3cHaOZnu2v2X1shd+QeuixGaNQ3oeLt65Jm/39LkmI
 6GhdMS46xghhL1ayHL2hFcV02O6Ajte4dFMkxcFb3sHhrTEnti9ZiYUx80ik8ROn/R/Y
 0IKWnZd+0/b0/qUmF6RJx48tIuLQUdyKsiY2XWBsbynb2CfbpqxRN1PwyfPhvREHuUTl
 jjAlFYmgoQcFyhY888Q4EW5LFLmugDub6h8VnsnnI5GyabzPMlNLvbA869HtOIB5kMRG Ag== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by mx0b-00069f02.pphosted.com with ESMTP id 3c2aa3hkb5-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Tue, 02 Nov 2021 22:28:44 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.1.2/8.16.1.2) with SMTP id 1A2MFsQr113448
 for <bug-gnu-emacs@HIDDEN>; Tue, 2 Nov 2021 22:28:43 GMT
Received: from nam10-bn7-obe.outbound.protection.outlook.com
 (mail-bn7nam10lp2101.outbound.protection.outlook.com [104.47.70.101])
 by aserp3020.oracle.com with ESMTP id 3c0wv54vbu-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Tue, 02 Nov 2021 22:28:43 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=W8kRgbom9FVrFZdPlwe0G4J1URqzDWcCOd22/7RtbetBEDNSa3jFYFRSErMLDs1gfYggTRDO8ovkhv3ZQL6yGZIVw6EmYAmOJOibB6CugMsbwi9sn9vypPEQJ9O2ewRuxP7juy3lfPUnmy7OB+Us0M7V7yvXM6NA9Duu9BSmrC3t60GUnYGxp7Sp9XVK7KFE12TWXgipWJxLB1Vxy26KrviHCLcSxALMVirh6xiKO7z11czWVDtat9QQ3Y9Vlc+XrfzzXvtX1usqbsEbCPTLWL2TqaOsCyEJ4N+suB6C6F5QOKWddm/ubDTj5jEe3q8cs5bt09jry3Z2nkkTlT0oyQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=H/8fkeclklRQ3xChD8vTvfEMOuFuitETFnCm4fD3sZg=;
 b=T8WDxEhiiUNB5P95sO1u9XJRKoTZXPgWDL9mdRUZ4zrWMS4N+pTLXGPjAXMa/HexFrlaZcS//nmsup7S8BERWAQSlI81uM7iIJr+Suwi1HEbiNJkdaVk303fv454oqdUdlkkQw9pIQiLsmtdYSzL4N152y0cIMvxyqxL+NaLe2Wh9I86q06e26V+OxOHIIL4i4Mh4/WfuRQZyHE9zVt7Yz2fmNCJ+FRzNIBXsMf10fdjBo6g20T8mni+bMcLUOhu+yPP9R7Ex348dsZmNdBXEEPtHBVDDfNhrBqtVMgdK4aLdK79BzoKtS++/A6MXURyhcv6ozF4YpXe80nFZ277RQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=H/8fkeclklRQ3xChD8vTvfEMOuFuitETFnCm4fD3sZg=;
 b=xxoUJshUyEv+QUsMzBMWC6d+cofPE6si4Po6b5nTdh2SBpzhNAWkbOnQSzjPh65BpRJ6Hz7VusOocEyotKK4IhXs/acCH3JtcPuvyyiLnxfGF4X7EgM4zJWRSEIHVEcWhPP7rXK9KHJjQTdPf15Um1cw0yA5kLIqtik+Ha/odbs=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by SJ0PR10MB4653.namprd10.prod.outlook.com (2603:10b6:a03:2d7::11)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4649.15; Tue, 2 Nov
 2021 22:28:41 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::b0d3:555d:98c3:62e3]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::b0d3:555d:98c3:62e3%4]) with mapi id 15.20.4649.019; Tue, 2 Nov 2021
 22:28:41 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: 27.2; Bad Lisp font-locking with `font-lock-type-face'
Thread-Topic: 27.2; Bad Lisp font-locking with `font-lock-type-face'
Thread-Index: AdfQOIS91EYNupMPRMqSgN01ePNVXA==
Date: Tue, 2 Nov 2021 22:28:41 +0000
Message-ID: <SJ0PR10MB5488D7EBD21AC7621ADB7D8CF38B9@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnu.org; dkim=none (message not signed)
 header.d=none;gnu.org; dmarc=none action=none header.from=oracle.com;
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 5542b81e-775f-4cc5-8505-08d99e501f9e
x-ms-traffictypediagnostic: SJ0PR10MB4653:
x-microsoft-antispam-prvs: <SJ0PR10MB46531A2C937DD884526C12C8F38B9@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:6430;
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: 3g77cGacXJZZuantg3QdKFfA9HrDGDRrWMf0lJQ/n/Dl9W8WEAgNFTbCY1gNZAWAblDNH0nQBKEckBPZh5Ve7mkmGJO44zVWl18CIqU1emzkGr3KQq/3EID5imQT/yVU1RHtC25CgBzNnr7eaIXcu6PRJ7BIwCA/9W+mzdnLMZ6cwzF5fi2nrVINeTZN4ig8GovnNw4wsybKtBr4xP2dKWljVzwIf6XKf7vy5/mhA1sX1cRoJCIFk592tpig38RAfENq2efKW0aL0IVtAoD+cLzsepUbRQn37m4TX5LuylDwJ/dOjBxhudXHavpJ/vjNOeV3i6AzX/xOVZsS6xYYNUySX4z9rdGMmHUWrmBxEdDses22vd/G7KV0Qcrpkz11LpdXVywupAjX2HFMyXgxK9GQEuRrwdlJhc3GaUf0tqcLoZ84TI8ViFhEGEJgj4BNxO4j2iAo3XZCRulg3OwnEtcwWqBbgfp3cFcyHIt4DcqYWmtr+I+FkoRDFOqgUy6Td7q4A0/w3pt3NpJJrZnS0r8BZIEd98v8Vv/R8127GHO7Aj1AkM0dP4NyaLe6De3yCvWcdFcYrrEHctbbvN5dXBxE5mGS5Y3RUApn3t5yzvIkqyXNIqONAO3ktq2Rg+oJAIkd0xWH5+lXlzjctjeoa9m7vX/4MzRMgZRVHuQhCIw8PDlyGwRJ2vP9DA6mWGK9WATEGWSXG+YOsF9NEUSeE+XQ/x2QYoTbLlnauXi4DSk=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(366004)(76116006)(66946007)(122000001)(66556008)(66476007)(38100700002)(44832011)(64756008)(66446008)(38070700005)(2906002)(26005)(83380400001)(186003)(71200400001)(6506007)(508600001)(33656002)(45080400002)(6916009)(7696005)(8676002)(55016002)(9686003)(86362001)(52536014)(316002)(5660300002)(8936002)(81973001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?4bRk211gm4oWrApx2IwU+clG8ApyXUN2vxJe/qihTygAgNw4nnHJ5sp3pavO?=
 =?us-ascii?Q?BFRvfLNq1Brc8w9AmOQ8N7x+I8DLIXXcFsOPhIUYcDlATRHuEa2kpLPFoYMz?=
 =?us-ascii?Q?2kRuE4dL6Ha41A6nNb8GuCyWUdYxkcnxyzD3CuhVg+J30IpNoTl/5Vk1l2lB?=
 =?us-ascii?Q?4AgNiYLL10mHoJqploAkhhuJDHJ/AvnvWFXuQAPy5Pcpu3xpIg2szQ80hjLe?=
 =?us-ascii?Q?0QC50E4Btx6pSmjSKSbSAWzbH6dyhyeCh1Q2kAW57FWNQdrt45Wogn2NmDz5?=
 =?us-ascii?Q?vieJY+u5HDua83pYv1b7VLU3Ym2YkJENdtbKiSCXDUdjTYqXnRr14AsRY4zy?=
 =?us-ascii?Q?gv7y2aZLv2dOXoeQ1lodePfkU/VsPzZZfPXIC2J49NKqNkbKTJbiwI9iZNN3?=
 =?us-ascii?Q?ItWkGbhFka9wlNLDf1606DzOQeWLRD1IOIBPWe8dzrBGccOihAsu3YwYanYy?=
 =?us-ascii?Q?fn1k90ySQDV3Mf76dZeV5Zi+9ykCingt9IJi/04ZFifoE7ShvJ9gy0PUhKGn?=
 =?us-ascii?Q?Bhn4k9FZHC85fiLMZrzM+y/by8XOatNH2syl/84qikjs58BzAz220R39Bfs1?=
 =?us-ascii?Q?t56qtjUXUynRFMF0+xN/NOLbBKKZ2b8nAH6v0rFOVOSxVy463I4xoLPVjqcG?=
 =?us-ascii?Q?Ojw52cUtqXomrfKrd26S+l/65RmIuzdHgFwGGUbREkXoPPh0DnXprGxQyo21?=
 =?us-ascii?Q?KItDr4Yp/5I7mS3xAGsWc++W8ik6sWOXsBDM12xsGErnfnIMmypvLJbZxOVv?=
 =?us-ascii?Q?AMfDawiYV9N4Vf+xjjtcpZWVw8W4Ezt4s1S2YPsHzqHXX/3svf8pUlMsu/z+?=
 =?us-ascii?Q?NakoxD5UqYnZTiXjURwO9km6Ef853elEOJdJDy8QZdJLXaUHRHngmmVPyfot?=
 =?us-ascii?Q?lGFS09d7Ib3f0ukcqLF7U1A8WGDUqWut9/QjVKk9vPKWNBrF3tSjo3AQ7E3H?=
 =?us-ascii?Q?bJYta0MTgcqHKW5RpQ/nC09Zq7hYio06KgXYXDkPriXaciV1VTXIkQ1N7dGx?=
 =?us-ascii?Q?4QMJK7eznIsL3fXAO5iZ74O5hdYB5cJIJ3vE+sFMpLk4wC1cmsfbsYxYIxD3?=
 =?us-ascii?Q?7HesXUiKvAsKh0qYCH9w6NF++dKH//kmskTA+PhYEOSDAAfizi1IRUNSYjKI?=
 =?us-ascii?Q?HTm39mMkiaQ4S+3GqxOXWG436EQZjQYqBo4vPCA+1hMMCzADO4ynwpc2pmXf?=
 =?us-ascii?Q?UovWBYffPw6kCBkww6gZDwVTNaE0hN4M1LD7YVULCHXv7Pg+O7SIR7Zd77QL?=
 =?us-ascii?Q?QD7HWhizVo6at+SpaCfXF2C/1uFhaTYkEF+DUVLImG0H8z7Vzt1ivli5JZDq?=
 =?us-ascii?Q?7DMLaAIWEo/8QnR5EDBtBht3W1alwIg+kWLYQaJv8H4zHAXKPh2rOvvQJZdJ?=
 =?us-ascii?Q?1NTophb/0yLRMKoEp0/u4n2mf6bP5vu65yiIfhQTbe0kRyCA4/XE+u/IaPQH?=
 =?us-ascii?Q?nD85Gx253XrjkokGg+0ys02CsrH/TCBvoelbgPXqDdYy/JUNOVHLQysWlZkS?=
 =?us-ascii?Q?iNauYDDR4p0HuIliOwN/1BwzLtQB7/ixFWXr4TvIfaiMO+I1iRU0NY7WgiGR?=
 =?us-ascii?Q?PnNu88c+1QzuYxO6rGZErVyMGrpL7wMMciz6GSbKY4Q4D/zUtXcku/lunlqA?=
 =?us-ascii?Q?KA=3D=3D?=
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 5542b81e-775f-4cc5-8505-08d99e501f9e
X-MS-Exchange-CrossTenant-originalarrivaltime: 02 Nov 2021 22:28:41.4003 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: qA/gslBU4eMwhh+o757tPEqygb/F/9ui1/rAsOAMbqvUz9AnWoEcsdml6XbOzIy1GnJXU0Hczxfpwxrrzthosw==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SJ0PR10MB4653
X-Proofpoint-Virus-Version: vendor=nai engine=6300 definitions=10156
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 bulkscore=0
 phishscore=0 malwarescore=0
 mlxscore=0 suspectscore=0 mlxlogscore=362 adultscore=0 spamscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2110150000
 definitions=main-2111020116
X-Proofpoint-GUID: dFoKQVAND0aYlY8gxbq34WJjnMYdTovO
X-Proofpoint-ORIG-GUID: dFoKQVAND0aYlY8gxbq34WJjnMYdTovO
Received-SPF: pass client-ip=205.220.165.32;
 envelope-from=drew.adams@HIDDEN; helo=mx0a-00069f02.pphosted.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This regression was introduced in Emacs 25 (no problem before then).

emacs -Q

In buffer *scratch* type this Lisp code:

(car `(foo\ &bar toto))
(car `(foo\&bar toto))
(car `(foo&bar toto))

The first sexp evaluates to the symbol `foo &bar'.  The second and third
evaluate to the symbol `foo&bar'.  The first `\' escapes the SPC char.
The second `\' does nothing (a noop) - it escapes a char that doesn't
need escaping for it to be included in a Lisp symbol name.

But Emacs Lisp font-locking incorrectly gives the `&bar' part of each of
those symbols the face `font-lock-type-face'.  It doesn't correctly
recognize symbol syntax.

There should be no reason to determine that `&bar' represents part of a
type or class name, in any such context.

The bug is in variable `lisp-el-font-lock-keywords-2'.

BTW, the doc string of face `font-lock-type-face' should also be fixed,
to say either "type and class" or "types and classes", not this:

  Font Lock mode face used to highlight type and classes.

In GNU Emacs 27.2 (build 1, x86_64-w64-mingw32)
 of 2021-03-26 built on CIRROCUMULUS
Repository revision: deef5efafb70f4b171265b896505b92b6eef24e6
Repository branch: HEAD
Windowing system distributor 'Microsoft Corp.', version 10.0.19042
System Description: Microsoft Windows 10 Pro (v10.0.2009.19042.1288)





Acknowledgement sent to Drew Adams <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#51574; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 4 Nov 2021 18:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.